Which PHP versions can be installed via Plesk Installer

Follow

Comments

8 comments

  • Avatar
    Pete Corbett

    I am about to upgrade our server to Debian 10 from 8.11 (Jessie), can anyone tell me if i will have access to installing php 5.6 for individual clients, as an example in my current build php5 is the base installation but i am able to add 7.2 and 7.3 so clients on my server casn chose the php version that want.

    My isue is I have one client with an old site that needs php 5.6 and i am concerned if i upgrade and i cant get 5.6 to run on the new build his site wont work and it will be my responsability if i cant get access to 5.6.

    I need to be 100% sure before i go ahead.

    Thanks in advance

    0
    Comment actions Permalink
  • Avatar
    Declan Carey

    Any idea when 7.4 will be available on CentOS distributions? 

    Wordpress currently telling me I should upgrade to 7.4, but no obvious ways to do so, sadly. 

    0
    Comment actions Permalink
  • Avatar
    Ivan Postnikov

    Hello Declan Carey

    PHP 7.4 is already available for Plesk Obsidian, CentOS starting from 7.

    Due to technical compatibility limitations, PHP 7.4 won't be supported by CentOS 6.

     

    Hello Pete Corbett

    In general, the in-place upgrade to Debian 10 wasn't tested and isn't officially supported.

    For you to ensure, I would suggest the following action plan:
    prepare a clone of the production server or prepare a test server with a similar configuration and perform the upgrade. After the upgrade check the functionality in question and only after that upgrade your production server.

    Thank you for understanding.

    0
    Comment actions Permalink
  • Avatar
    andy huang

    How do I get PHP support verion 7.4. currently PHP version setting only go to 7.0

    0
    Comment actions Permalink
  • Avatar
    Kuzma Ivanov (Edited )

    Hi andy huang

    Probably, PHP versions higher than 7.0 are not yet installed on your server. Check our this KB article.

     

    0
    Comment actions Permalink
  • Avatar
    Giuliano B

    Hello,

    is there an easy way to add PHP 7.0.33 to my Plesk Obsidian 18.0.43 with Debian 10.12 ?

    I can't find it in PHP list.

     

    Thank you

    0
    Comment actions Permalink
  • Avatar
    Giuliano B

    Hello

    anyone can help me?

    0
    Comment actions Permalink

Please sign in to leave a comment.

Have more questions? Submit a request